%define pkg_name        DateTime-Format-Builder
%define pkg_version     0.7901
%define rpm_pkg_version 0.79_01
%define rpm_pkg_release 1.n0i.12


Summary:       Create DateTime parser classes and objects
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DR/DROLSKY/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Class::Factory::Util) >= 1.6
BuildRequires: perl(DateTime) >= 0.12
BuildRequires: perl(Params::Validate) >= 0.73
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::Memory::Cycle)
BuildRequires: perl(DateTime::Format::Strptime) >= 1.04
BuildRequires: perl(DateTime::Format::HTTP)
BuildRequires: perl(DateTime::Format::Mail)
BuildRequires: perl(DateTime::Format::IBeat)

Requires:      perl(Class::Factory::Util) >= 1.6
Requires:      perl(DateTime) >= 0.12
Requires:      perl(DateTime::Format::Strptime) >= 1.04
Requires:      perl(Params::Validate) >= 0.72


%description
DateTime::Format::Builder creates DateTime parsers. Many string formats of
dates and times are simple and just require a basic regular expression to
extract the relevant information. Builder provides a simple way to do this
without writing reams of structural code.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
[ -f Makefile.PL ] || cat <<EOF > Makefile.PL
use Module::Build::Compat;
Module::Build::Compat->run_build_pl(args => \@ARGV);
Module::Build::Compat->write_makefile();
EOF
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Artistic AUTHORS Changes COPYING CREDITS examples/ LICENCE README


%changelog
* Sun Sep 02 2007 Marius Feraru <altblue@n0i.net> - 0.79_01-1.n0i.12.0.7901
- version 0.7901

* Fri Aug 31 2007 Marius FERARU <altblue@n0i.net> - 0.79-1.n0i.11
- version 0.79
- more BR

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.78_07-2.n0i.10.0.7807
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- mass rebuild

* Tue May 30 2006 Marius Feraru <altblue@n0i.net> - 0.78_07-1.n0i.9.0.7807
- version 0.7807

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.78_06-4.n0i.8.0.7806
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Thu Mar 31 2005 Marius FERARU <altblue@n0i.net> 0:0.78_06-3.n0i.7.0.7806
- rebuild (FC4)

* Sun Dec 05 2004 Marius FERARU <altblue@n0i.net> 0:0.78-3.n0i.6.0.7806
- version 0.7806

* Fri Jul 09 2004 Marius FERARU <altblue@n0i.net> 0:0.78_04-2.n0i.5
- version 0.7804

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:0.78_02-1.n0i.4
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Sat Feb 21 2004 Marius FERARU <altblue@n0i.net> 0:0.7802-1.n0i.3
- version 0.7802

* Sun Feb 01 2004 Marius FERARU <altblue@n0i.net> 0:0.7801-0.n0i.2
- version 0.7801
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Mon Jul 28 2003 Marius FERARU <altblue@n0i.net> 0.75-0.n0i
- Initial build.
